Reference
logs
Device, app and driver logs, and crash reports. Index · shared schemas · errors.
| Procedure | Summary | REST | MCP tool | Stability |
|---|---|---|---|---|
logs.stream | Follow device, app and driver logs | GET | — | stable |
logs.read | Read logs by cursor (the MCP-friendly form) | GET | logs_read | stable |
logs.crashes | List crash reports attributed to the session | GET | logs_crashes | stable |
logs.stream
Follow device, app and driver logs
| REST | GET /v1/logs/stream (input as query parameters) |
| RPC | /rpc/v2/logs/stream |
| MCP | not a tool (an event iterator; MCP tools return one result); hints: read-only, idempotent |
| Auth | logs:read |
| Tenancy | project |
| Troupe Cloud | relayed through the host agent to the device host’s runtime |
| Stability | stable, since 1.0 |
Input:
{
sessionId: SessionId
sources?: LogSource[] // ≤ 6 items
bundleId?: BundleId
minLevel?: LogLevel
grep?: string // 1–256 chars
since?: Seq
}Output: an event iterator (text/event-stream on REST), each event:
LogEventErrors: S.
Named types: BundleId, LogEvent, LogLevel, LogSource, Seq, SessionId.
logs.read
Read logs by cursor (the MCP-friendly form)
| REST | GET /v1/logs/read (input as query parameters) |
| RPC | /rpc/v2/logs/read |
| MCP | tool logs_read; hints: read-only, idempotent |
| Auth | logs:read |
| Tenancy | project |
| Troupe Cloud | relayed through the host agent to the device host’s runtime |
| Stability | stable, since 1.0 |
Input:
{
sessionId: SessionId
cursor?: Cursor
limit?: integer // default 200; 1–1000
sources?: LogSource[] // ≤ 6 items
bundleId?: BundleId
minLevel?: LogLevel
grep?: string // 1–256 chars
}Output:
{ lines: LogLine[]; nextCursor: string; gap?: LogGap }Errors: S.
Named types: BundleId, Cursor, LogGap, LogLevel, LogLine, LogSource, SessionId.
logs.crashes
List crash reports attributed to the session
| REST | GET /v1/logs/crashes (input as query parameters) |
| RPC | /rpc/v2/logs/crashes |
| MCP | tool logs_crashes; hints: read-only, idempotent |
| Auth | logs:read |
| Tenancy | project |
| Requires | logs.crashes |
| Troupe Cloud | relayed through the host agent to the device host’s runtime |
| Stability | stable, since 1.0 |
Input:
{ sessionId: SessionId; bundleId?: BundleId; since?: Timestamp }Output:
{ crashes: CrashSummary[] }Errors: S.
Named types: BundleId, CrashSummary, SessionId, Timestamp.